Commit cac7400f authored by Kevin Daudt's avatar Kevin Daudt 💻
Browse files

gitlab: remove redundant yarn patch

The patch is part of this release.
parent 558ab8c4
Pipeline #115950 passed with stages
in 18 minutes and 15 seconds
https://gitlab.com/gitlab-org/gitlab/-/issues/353824
https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82418
From e7f6b97c490a0d59d4ef17990d082bdb669079ac Mon Sep 17 00:00:00 2001
From: Vitaly Slobodin <vslobodin@gitlab.com>
Date: Tue, 8 Mar 2022 17:58:13 +0300
Subject: [PATCH] Move postcss to dependencies
We have a bunch of production scripts that
require "postcss" to be installed in production mode.
---
package.json | 2 +-
yarn.lock | 18 +++++++++---------
2 files changed, 10 insertions(+), 10 deletions(-)
diff --git a/package.json b/package.json
index ade59851fbd4b..befc4cefa6a8c 100644
--- a/package.json
+++ b/package.json
@@ -155,6 +155,7 @@
"pikaday": "^1.8.0",
"popper.js": "^1.16.1",
"portal-vue": "^2.1.7",
+ "postcss": "8.4.5",
"prismjs": "^1.21.0",
"prosemirror-markdown": "1.7.1",
"prosemirror-model": "^1.16.1",
@@ -239,7 +240,6 @@
"miragejs": "^0.1.40",
"mock-apollo-client": "1.2.0",
"nodemon": "^2.0.4",
- "postcss": "^8.4.5",
"prettier": "2.2.1",
"prosemirror-schema-basic": "^1.1.2",
"prosemirror-schema-list": "^1.1.6",
diff --git a/yarn.lock b/yarn.lock
index 67cdc498f518c..3299a33663020 100644
--- a/yarn.lock
+++ b/yarn.lock
@@ -9447,15 +9447,7 @@ postcss-value-parser@^4.1.0, postcss-value-parser@^4.2.0:
resolved "https://registry.yarnpkg.com/postcss-value-parser/-/postcss-value-parser-4.2.0.tgz#723c09920836ba6d3e5af019f92bc0971c02e514"
integrity sha512-1NNCs6uurfkVbeXG4S8JFT9t19m45ICnif8zWLd5oPSZ50QnwMfK+H3jv408d4jw/7Bttv5axS5IiHoLaVNHeQ==
-postcss@^7.0.14, postcss@^7.0.5, postcss@^7.0.6:
- version "7.0.39"
- resolved "https://registry.yarnpkg.com/postcss/-/postcss-7.0.39.tgz#9624375d965630e2e1f2c02a935c82a59cb48309"
- integrity sha512-yioayjNbHn6z1/Bywyb2Y4s3yvDAeXGOyxqD+LnVOinq6Mdmd++SW2wUNVzavyyHxd6+DxzWGIuosg6P1Rj8uA==
- dependencies:
- picocolors "^0.2.1"
- source-map "^0.6.1"
-
-postcss@^8.2.1, postcss@^8.4.5:
+postcss@8.4.5, postcss@^8.2.1, postcss@^8.4.5:
version "8.4.5"
resolved "https://registry.yarnpkg.com/postcss/-/postcss-8.4.5.tgz#bae665764dfd4c6fcc24dc0fdf7e7aa00cc77f95"
integrity sha512-jBDboWM8qpaqwkMwItqTQTiFikhs/67OYVvblFFTM7MrZjt6yMKd6r2kgXizEbTTljacm4NldIlZnhbjr84QYg==
@@ -9464,6 +9456,14 @@ postcss@^8.2.1, postcss@^8.4.5:
picocolors "^1.0.0"
source-map-js "^1.0.1"
+postcss@^7.0.14, postcss@^7.0.5, postcss@^7.0.6:
+ version "7.0.39"
+ resolved "https://registry.yarnpkg.com/postcss/-/postcss-7.0.39.tgz#9624375d965630e2e1f2c02a935c82a59cb48309"
+ integrity sha512-yioayjNbHn6z1/Bywyb2Y4s3yvDAeXGOyxqD+LnVOinq6Mdmd++SW2wUNVzavyyHxd6+DxzWGIuosg6P1Rj8uA==
+ dependencies:
+ picocolors "^0.2.1"
+ source-map "^0.6.1"
+
prelude-ls@^1.2.1:
version "1.2.1"
resolved "https://registry.yarnpkg.com/prelude-ls/-/prelude-ls-1.2.1.tgz#debc6489d7a6e6b0e7611888cec880337d316396"
--
GitLab
......@@ -103,7 +103,6 @@ cd "$gitlab_location"
apply_patch -p0 -i /tmp/gitlab/disable-check-gitaly.patch
apply_patch -p0 -i /tmp/gitlab/puma-no-redirect.patch
apply_patch -p0 -i /tmp/gitlab/puma-socket-path.patch
apply_patch -p1 -i /tmp/gitlab/gitlab-yarn-fix-postcss-dependency.patch
apply_patch -p0 -i /tmp/logrotate/logrotate-defaults.patch
apply_patch -p0 -i /tmp/nginx/nginx-config.patch
apply_patch -p0 -i /tmp/resque/resque-config.patch
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment